# ALTER SCHEMA

ALTER SCHEMA — change the definition of a schema

### Synopsis

```
ALTER SCHEMA name RENAME TO new_name
ALTER SCHEMA name OWNER TO { new_owner | CURRENT_USER | SESSION_USER }
```

### Description

`ALTER SCHEMA` changes the definition of a schema.

You must own the schema to use `ALTER SCHEMA`. To rename a schema you must also have the `CREATE` privilege for the database. To alter the owner, you must also be a direct or indirect member of the new owning role, and you must have the `CREATE` privilege for the database. (Note that superusers have all these privileges automatically.)

### Parameters

*`name`*

The name of an existing schema.

*`new_name`*

The new name of the schema. The new name cannot begin with `pg_`, as such names are reserved for system schemas.

*`new_owner`*

The new owner of the schema.

### Compatibility

There is no `ALTER SCHEMA` statement in the SQL standard.

### See Also

[CREATE SCHEMA](/15/reference/sql-commands/create-schema.md), [DROP SCHEMA](/15/reference/sql-commands/drop-schema.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/15/reference/sql-commands/alter-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
